Public Member Functions | Public Attributes | List of all members
WPS8TextInternal::State Struct Reference

Internal: the state of a WPS4Text. More...

## Public Member Functions
| State ()
| constructor More...
void | initTypeMaps ()
| initializes the type map More...
WPSEntry | getTextZones (int id) const
| returns the entry corresponding to a type id More...
void | setParsed (WPSEntry const &entry, bool fl)
| tests if a text zone is simillar to entry, if yes, updates is parsed field More...
WPSEntry | getTCDZone (int strsId, int cellId) const
| try to return a entry for a cell in table zones More...

## Public Attributes
std::vector< WPSEntry > | m_textZones
| the list of different text zones More...
std::map< long, Bookmark > | m_bookmarkMap
| a map text offset->bookmark More...
std::vector< Notes > | m_notesList
| the list of notes More...
std::map< long, Notes * > | m_notesMap
| a map text offset->notes More...
Object | m_object
| actual object More...
std::map< long, Object > | m_objectMap
| a map text offset->object More...
std::map< long, Token > | m_tokenMap
| a map text offset->token More...
std::map< int, std::vector< long > > | m_tcdMap
| a map strsId -> last positions of cells More...
std::map< int, int > | m_objectTypes
| the object type More...
std::vector< DataPLC > | m_plcList
| a list of all plcs More...
WPS8PLCInternal::KnownPLC | m_knownPLC
| the known plc More...

## Detailed Description

Internal: the state of a WPS4Text.

## Constructor & Destructor Documentation

## ◆ State()

WPS8TextInternal::State::State | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ getTCDZone()

WPSEntry WPS8TextInternal::State::getTCDZone | ( | int | strsId,
|  | int | cellId
| ) |  | const
| inline

try to return a entry for a cell in table zones

## ◆ getTextZones()

WPSEntry WPS8TextInternal::State::getTextZones | ( | int | id | ) | const
| inline

returns the entry corresponding to a type id

## ◆ initTypeMaps()

void WPS8TextInternal::State::initTypeMaps | ( |  | ) |

initializes the type map

Referenced by State().

## ◆ setParsed()

void WPS8TextInternal::State::setParsed | ( | WPSEntry const & | entry,
|  | bool | fl
| ) |  |
| inline

tests if a text zone is simillar to entry, if yes, updates is parsed field

## Member Data Documentation

## ◆ m_bookmarkMap

std::map<long, Bookmark> WPS8TextInternal::State::m_bookmarkMap

a map text offset->bookmark

## ◆ m_knownPLC

WPS8PLCInternal::KnownPLC WPS8TextInternal::State::m_knownPLC

the known plc

## ◆ m_notesList

std::vector<Notes> WPS8TextInternal::State::m_notesList

the list of notes

## ◆ m_notesMap

std::map<long, Notes *> WPS8TextInternal::State::m_notesMap

a map text offset->notes

## ◆ m_object

Object WPS8TextInternal::State::m_object

actual object

## ◆ m_objectMap

std::map<long, Object> WPS8TextInternal::State::m_objectMap

a map text offset->object

## ◆ m_objectTypes

std::map<int,int> WPS8TextInternal::State::m_objectTypes

the object type

Referenced by initTypeMaps().

## ◆ m_plcList

std::vector<DataPLC> WPS8TextInternal::State::m_plcList

a list of all plcs

## ◆ m_tcdMap

std::map<int, std::vector<long> > WPS8TextInternal::State::m_tcdMap

a map strsId -> last positions of cells

Referenced by getTCDZone().

## ◆ m_textZones

std::vector<WPSEntry> WPS8TextInternal::State::m_textZones

the list of different text zones

Referenced by getTCDZone(), getTextZones(), and setParsed().

## ◆ m_tokenMap

std::map<long, Token> WPS8TextInternal::State::m_tokenMap

a map text offset->token

The documentation for this struct was generated from the following file:

- WPS8Text.cpp